RIO_ROUTE_GET_ENTRY(9)

NAME
rio_route_get_entry - Read an entry from a switch routing table

SYNOPSIS

int rio_route_get_entry(struct rio_dev * rdev, u16 table, u16 route_destid, u8 * route_port, int lock);

ARGUMENTS

rdev
    RIO device

table
    Routing table ID

route_destid
    Destination ID to be routed

route_port
    Pointer to read port number into

lock
    apply a hardware lock on switch device flag (1=lock, 0=no_lock)

DESCRIPTION

If available calls the switch specific get_entry method to fetch a route entry from a switch routing table. Otherwise uses standard RT read method as defined by RapidIO specification. A specific routing table can be selected using the table argument if a switch has per port routing tables or the standard (or global) table may be used by passing RIO_GLOBAL_TABLE in table.

Returns 0 on success or -EINVAL on failure.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT